﻿@model ClientInfo
@{
    ViewData["Title"] = "Client Info";
    IEnumerable<SelectListItem> TaxFilingStatus = ViewBag.TaxFilingStatus;
}
<form asp-action="saveclientinfo" class="form fv-plugins-bootstrap fv-plugins-framework" id="kt_clientinfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteClientInfo">
    <div class="d-flex justify-content-between mb-5">
        <div>
            <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Please tell us about yourself</h4>
        </div>
        <div>
            <button class="btn btn-secondary font-weight-bold px-6 py-2" id="btn-save-exit">Save & Exit</button>
        </div>
    </div>
    <div class="wizard-content-height">
        <input asp-for="IsPermanantCitizen" id="ClientIsPermanantCitizen" type="hidden" />
        <div class="row">
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="FirstName"></label>
                    <input asp-for="FirstName" class="form-control form-control-lg capitalize">
                    <span asp-validation-for="FirstName" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="MiddleInitial"></label>
                    <input asp-for="MiddleInitial" class="form-control form-control-lg capitalize">
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="LastName"></label>
                    <input asp-for="LastName" class="form-control form-control-lg capitalize">
                    <span asp-validation-for="LastName" class="text-danger"></span>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="DateOfBirth"></label>
                    <div class="input-group date datepicker-control">
                        <input type="text" asp-for="DateOfBirth" asp-format="{0:MM'/'dd'/'yyyy}" class="form-control form-control-lg datemask">
                        <div class="input-group-append">
                            <span class="input-group-text">
                                <i class="far fa-calendar-alt"></i>
                            </span>
                        </div>
                    </div>
                    <span asp-validation-for="DateOfBirth" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="MaritalStatus"></label>
                    <select class="form-control form-control-lg" asp-for="MaritalStatus" asp-items="ViewBag.MaritalStatus">
                    </select>
                    <span asp-validation-for="MaritalStatus" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="TaxFilingType"></label>
                    <select class="form-control form-control-lg" asp-for="TaxFilingType" asp-items="TaxFilingStatus">
                    </select>
                    <span asp-validation-for="TaxFilingType" class="text-danger"></span>
                </div>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Gender"></label>
            <div class="radio-inline">
                @foreach (var item in Html.GetEnumSelectList<GenderEnum>())
                {
                    <label class="radio radio-outline radio-outline-2x radio-primary">
                        <input type="radio" asp-for="Gender" value="@item.Text" id="@item.Text">
                        <span></span>
                        @item.Text
                    </label>
                }
            </div>
            <span asp-validation-for="Gender" class="text-danger"></span>
        </div>
        <div class="row">
            <div class="col-lg-5">
                <div class="form-group switch-div">
                    <label asp-for="IsCitizen" class="form-check-label"></label>
                    <span class="switch switch-outline switch-icon switch-custom switch-sm">
                        <label>
                            <input type="checkbox" asp-for="IsCitizen">
                            <span></span>
                        </label>
                    </span>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="form-group switch-div">
                    <label asp-for="IsMilitary" class="form-check-label"></label>
                    <span class="switch switch-outline switch-icon switch-custom switch-sm">
                        <label>
                            <input type="checkbox" asp-for="IsMilitary">
                            <span></span>
                        </label>
                    </span>
                </div>
            </div>
        </div>
    </div>
    <partial name="_WizardFooter" />
</form>
<partial name="ClientInfo/_MilitaryModal" />
<partial name="ClientInfo/_UsCitizenModal" />
<script src="~/js/page/client-info.js" asp-append-version="true"></script>
<script>
    setSelectedOptionOne("TaxFilingType", @TaxFilingStatus.Count());
</script>